Forums | developer.brewmp.com Forums | developer.brewmp.com

Developer

Forums

Forums:

Apploader 3.1.0.34 does not work with motorola razor v3c and E815 phones.(Got the error measseage: "EFS2: can not write a file" when we tried to load apps to phones. Got the error measseage: "EFS2: can not read a file" when we tried to copy a file from phones.) However, All previous versions of Apploader work well with the same motorola razor v3c and E815 phones. Is there anyone has similar issue?
We submitted a service request to Qualcomm. Max attached an older version of the qcomoem.dll file. And he said "By replacing the newer qcomoem.dll file with the attached version, you should be able to access the device without issues." However, I got the same problem after I replaced C:\Program files\common Files\Qualcomm\BTIL Development Kit\OEMLayer\QCOMOEM.dll with this attached QCOMOEM.dll file

xluo wrote:Apploader 3.1.0.34 does not work with motorola razor v3c and E815 phones.(Got the error measseage: "EFS2: can not write a file" when we tried to load apps to phones. Got the error measseage: "EFS2: can not read a file" when we tried to copy a file from phones.) However, All previous versions of Apploader work well with the same motorola razor v3c and E815 phones. Is there anyone has similar issue?
We submitted a service request to Qualcomm. Max attached an older version of the qcomoem.dll file. And he said "By replacing the newer qcomoem.dll file with the attached version, you should be able to access the device without issues." However, I got the same problem after I replaced C:\Program files\common Files\Qualcomm\BTIL Development Kit\OEMLayer\QCOMOEM.dll with this attached QCOMOEM.dll file
I am running into the exact same problem as you. I've also submitted a service request to Qualcomm so hopefully they'll resolve this issue soon.

xluo wrote:Apploader 3.1.0.34 does not work with motorola razor v3c and E815 phones.(Got the error measseage: "EFS2: can not write a file" when we tried to load apps to phones. Got the error measseage: "EFS2: can not read a file" when we tried to copy a file from phones.) However, All previous versions of Apploader work well with the same motorola razor v3c and E815 phones. Is there anyone has similar issue?
We submitted a service request to Qualcomm. Max attached an older version of the qcomoem.dll file. And he said "By replacing the newer qcomoem.dll file with the attached version, you should be able to access the device without issues." However, I got the same problem after I replaced C:\Program files\common Files\Qualcomm\BTIL Development Kit\OEMLayer\QCOMOEM.dll with this attached QCOMOEM.dll file
I am running into the exact same problem as you. I've also submitted a service request to Qualcomm so hopefully they'll resolve this issue soon.

Hello
I try what you suggested in your post mohlendo but it is not working.
I replaced the dll then the dll + the content of server directory and it is exactly the same.
Thank you by advance

Hello
I try what you suggested in your post mohlendo but it is not working.
I replaced the dll then the dll + the content of server directory and it is exactly the same.
Thank you by advance

Hrm...it should work providing your qcomoem.dll file is version 3.1.0 (note that this doesn't correspond to the Apploader version) or less. I've had this working fine for me. We're still getting an official solution patch ready for distribution.

Hrm...it should work providing your qcomoem.dll file is version 3.1.0 (note that this doesn't correspond to the Apploader version) or less. I've had this working fine for me. We're still getting an official solution patch ready for distribution.

Hello,
The version I used is the 3.0.0.12
And not working at all

Hello,
The version I used is the 3.0.0.12
And not working at all

elenthir wrote:Hello,
The version I used is the 3.0.0.12
And not working at all
same here.

elenthir wrote:Hello,
The version I used is the 3.0.0.12
And not working at all
same here.

Never mind, I think I have it working now. In addition to replacing qcomoem.dll, I replaced brewapploader.exe and brewapploader.com with the 3.0 versions as well.

Never mind, I think I have it working now. In addition to replacing qcomoem.dll, I replaced brewapploader.exe and brewapploader.com with the 3.0 versions as well.

Hi dnguyen,
Thanks for your tips. My apploader works fine after I replace QCOMOEM.dll, BREWAppLoader.com, BREWAppLoader.exe with V 3.0.0.12.

Hi dnguyen,
Thanks for your tips. My apploader works fine after I replace QCOMOEM.dll, BREWAppLoader.com, BREWAppLoader.exe with V 3.0.0.12.

A patch has been posted at https://brewx.qualcomm.com/bws/content/docx/products/btil/1.0/1.0.1.10/u... to address this problem.
BE SURE TO REFER TO THE README, IT CONTAINS NECESSARY INSTRUCTIONS.
https://brewx.qualcomm.com/bws/content/docx/products/btil/1.0/1.0.1.10/u...

A patch has been posted at https://brewx.qualcomm.com/bws/content/docx/products/btil/1.0/1.0.1.10/u... to address this problem.
BE SURE TO REFER TO THE README, IT CONTAINS NECESSARY INSTRUCTIONS.
https://brewx.qualcomm.com/bws/content/docx/products/btil/1.0/1.0.1.10/u...

I'm sure I have to same problem, I have the same handsets and error messages. However, after installing the patch nothing changes. What else could be the problem?

I'm sure I have to same problem, I have the same handsets and error messages. However, after installing the patch nothing changes. What else could be the problem?

Does anybody know where I can find 3.0.0? I'd rather stick with older versions.
Thanks.

Does anybody know where I can find 3.0.0? I'd rather stick with older versions.
Thanks.

Hi,
Could you share your 3.0.0.12 version of the below files? I want to revert back to 3.0.0.12.
Thanks.
xluo wrote:Hi dnguyen,
Thanks for your tips. My apploader works fine after I replace QCOMOEM.dll, BREWAppLoader.com, BREWAppLoader.exe with V 3.0.0.12.

Hi,
Could you share your 3.0.0.12 version of the below files? I want to revert back to 3.0.0.12.
Thanks.
xluo wrote:Hi dnguyen,
Thanks for your tips. My apploader works fine after I replace QCOMOEM.dll, BREWAppLoader.com, BREWAppLoader.exe with V 3.0.0.12.

Here is a direct link to the 3.0.12 install: https://brewx.qualcomm.com/bws/content/docx/products/brewtools/3.0/3.0.0...
Generally 3.1.0 is superior. To connect to specific devices, you will need to make sure you have all the BTIL patches installed. This enables you to change the EFS connection mode to EFS1 (it defaults to autodetect), which should fix connectivity issues on certain devices that don't properly support the EFS2 command set.

Here is a direct link to the 3.0.12 install: https://brewx.qualcomm.com/bws/content/docx/products/brewtools/3.0/3.0.0...
Generally 3.1.0 is superior. To connect to specific devices, you will need to make sure you have all the BTIL patches installed. This enables you to change the EFS connection mode to EFS1 (it defaults to autodetect), which should fix connectivity issues on certain devices that don't properly support the EFS2 command set.

We've also found that selecting EFS1 on the newer AppLoader doesn't cause the EFS2 Error on the Moto handsets.
I've downloaded the older version, but it's still possible to load a Moto handset on the newer version by selecting EFS1 instead of Autodetect or EFS2.

We've also found that selecting EFS1 on the newer AppLoader doesn't cause the EFS2 Error on the Moto handsets.
I've downloaded the older version, but it's still possible to load a Moto handset on the newer version by selecting EFS1 instead of Autodetect or EFS2.